Bug 1916099 - VM creation - customization wizard - user should be allowed to delete and re-create root disk
Summary: VM creation - customization wizard - user should be allowed to delete and re-...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Yaacov Zamir
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 08:08 UTC by Ruth Netser
Modified: 2021-02-24 15:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7840 0 None closed Bug 1916099: Allow replacing first boot disk in customization wizard 2021-01-25 01:11:17 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:53:39 UTC

Description Ruth Netser 2021-01-14 08:08:21 UTC
Description of problem:
When a VM is created using the customization wizard, it is not possible to delete the root disk and re-create a new root disk.
This is relevant for a case where a user would like to create a VM using and existing PVC (and not clone one).
The option to use an existing PVC is not offered in the boot source dropdown.
To allow a user to do that, it should be possible to delete the created root disk and re-create a new one.


Version-Release number of selected component (if applicable):
OCP 4.7, CNV 2.6

How reproducible:
100%

Steps to Reproduce:
1. Create a VM using the customization wizard

Actual results:
There's no option to delete the root disk

Expected results:
There should be an option to delete the root disk.
If the user deletes the root disk and does not create a new one, there should be an error (this is already implemeneted)

Additional info:

Comment 4 errata-xmlrpc 2021-02-24 15:53:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.